Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/CPGFile.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/CPGFile.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/CPGFile.java	(revision 43876)
@@ -0,0 +1,36 @@
+
+package org.gvsig.basicformats;
+
+public interface CPGFile extends FormatFile {
+
+    public String FILE_EXTENSION = "cpg";
+
+    public String getCharsetName();
+
+    public void setCharsetName(String charsetName);
+
+    /**
+     * Returns the code page corresponding to the
+     * provided charset name
+     *
+     * @param charsetName
+     * @return The code page, or 0x00 if no equivalent code page was found for
+     * the provided charsetName
+     */
+    public int toCPG(String charsetName);
+
+    public String toCPGName(String charsetName);
+
+    public String toCharsetName(String codePageName);
+
+    /**
+     * Gets the Java NIO charset name equivalent to the provided code page.
+     * Gets null if the provided code page is not recognised
+     * as a valid code
+     *
+     * @param codePage
+     * @return
+     */
+    public String toCharsetName(int codePage);
+    
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/FormatsFile.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/FormatsFile.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/FormatsFile.java	(revision 43876)
@@ -0,0 +1,99 @@
+
+package org.gvsig.basicformats;
+
+import java.io.File;
+import java.io.IOException;
+import org.gvsig.basicformats.impl.DefaultCLRFile;
+import org.gvsig.basicformats.impl.DefaultCPGFile;
+import org.gvsig.basicformats.impl.DefaultHDRFile;
+import org.gvsig.basicformats.impl.DefaultPRJFile;
+import org.gvsig.basicformats.impl.DefaultSTXFile;
+import org.gvsig.basicformats.impl.DefaultWLDFile;
+
+public class FormatsFile {
+    
+    public static CPGFile createCFGFile() {
+        return new DefaultCPGFile();
+    }
+
+    public static CPGFile getCFGFile(File file)  {
+        try {
+            DefaultCPGFile format = new DefaultCPGFile();
+            format.read(file);
+            return format;
+        } catch (IOException ex) {
+            return null;
+        }
+    }
+
+    public static HDRFile createHDRFile() {
+        return new DefaultHDRFile();
+    }
+
+    public static HDRFile getHDRFile(File file)  {
+        try {
+            DefaultHDRFile format = new DefaultHDRFile();
+            format.read(file);
+            return format;
+        } catch (IOException ex) {
+            return null;
+        }
+    }
+
+    public static PRJFile createPRJFile() {
+        return new DefaultPRJFile();
+    }
+
+    public static PRJFile getPRJFile(File file)  {
+        try {
+            DefaultPRJFile format = new DefaultPRJFile();
+            format.read(file);
+            return format;
+        } catch (IOException ex) {
+            return null;
+        }
+    }
+
+    public static STXFile createSTXFile() {
+        return new DefaultSTXFile();
+    }
+
+    public static STXFile getSTXFile(File file)  {
+        try {
+            DefaultSTXFile format = new DefaultSTXFile();
+            format.read(file);
+            return format;
+        } catch (IOException ex) {
+            return null;
+        }
+    }
+
+    public static WLDFile createWLDFile() {
+        return new DefaultWLDFile();
+    }
+
+    public static WLDFile getWLDFile(File file) {
+        try {
+            DefaultWLDFile format = new DefaultWLDFile();
+            format.read(file);
+            return format;
+        } catch (IOException ex) {
+            return null;
+        }
+    }
+
+    public static CLRFile createCLRFile() {
+        return new DefaultCLRFile();
+    }
+
+    public static CLRFile getCLRFile(File file) {
+        try {
+            DefaultCLRFile format = new DefaultCLRFile();
+            format.read(file);
+            return format;
+        } catch (IOException ex) {
+            return null;
+        }
+    }
+
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/PRJFile.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/PRJFile.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/PRJFile.java	(revision 43876)
@@ -0,0 +1,15 @@
+
+package org.gvsig.basicformats;
+
+import org.cresques.cts.IProjection;
+
+
+public interface PRJFile extends FormatFile {
+
+    public String FILE_EXTENSION = "prj";
+    
+    public IProjection getCRS();
+
+    public void setCRS(IProjection crs);
+
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/HDRFile.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/HDRFile.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/HDRFile.java	(revision 43876)
@@ -0,0 +1,136 @@
+
+package org.gvsig.basicformats;
+
+import java.nio.ByteOrder;
+import org.gvsig.fmap.geom.primitive.Envelope;
+
+
+public interface HDRFile extends FormatFile {
+
+    public String FILE_EXTENSION = "hdr";
+    public String LAYOUT_BIL = "bil";
+    public String LAYOUT_BIP = "bip";
+    public String LAYOUT_BSQ = "bsq";
+    
+    public int NONE = -1;
+
+    public Envelope getEnvelope();
+    
+    public int getDataType();
+    
+    /**
+     * @return the bandgapbytes
+     */
+    public int getBandgapbytes();
+
+    /**
+     * @return the bandrowbytes
+     */
+    public int getBandrowbytes();
+
+    /**
+     * @return the byteorder
+     */
+    public ByteOrder getByteorder();
+
+    /**
+     * @return the comments
+     */
+    public String getComments();
+
+    /**
+     * @return the layout
+     */
+    public String getLayout();
+
+    /**
+     * @return the nbands
+     */
+    public int getNbands();
+
+    /**
+     * @return the nbits
+     */
+    public int getNbits();
+
+    /**
+     * @return the ncols
+     */
+    public int getNcols();
+
+    /**
+     * @return the nrows
+     */
+    public int getNrows();
+
+    /**
+     * @return the skipbytes
+     */
+    public int getSkipbytes();
+
+    /**
+     * @return the totalrowbytes
+     */
+    public int getTotalrowbytes();
+
+    /**
+     * @return the ulxmax
+     */
+    public double getUlxmax();
+
+    /**
+     * @return the ulymax
+     */
+    public double getUlymax();
+
+    /**
+     * @return the xdim
+     */
+    public double getXdim();
+
+    /**
+     * @return the ydim
+     */
+    public double getYdim();
+
+    /**
+     * @return the isValid
+     */
+    public boolean isValid();
+
+    /**
+     * @param comments the comments to set
+     */
+    public void setComments(String comments);
+
+    public int getBandSize();
+
+    /**
+     * @return the cellsize
+     */
+    public int getCellsize();
+
+    /**
+     * @return the nodata_value
+     */
+    public double getNodata_value();
+
+    /**
+     * @return the xllcorner
+     */
+    public double getXllcorner();
+
+    /**
+     * @return the yllcorner
+     */
+    public double getYllcorner();
+
+    public void setDataType(int dataType);
+
+    public void setDimensions(int nrows, int ncols, Envelope envelope);
+
+    public void setNBands(int nbands);
+    
+    public void setByteOrder(ByteOrder order);
+
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/STXFile.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/STXFile.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/STXFile.java	(revision 43876)
@@ -0,0 +1,39 @@
+package org.gvsig.basicformats;
+
+import java.util.List;
+
+public interface STXFile extends FormatFile {
+
+    public interface STXBand {
+        
+        public void parse(String line);
+
+        @Override
+        public String toString();
+        
+        public int getBand();
+        
+        public double getMinimum();
+        
+        public double getMaximum();
+        
+        public double getMean();
+        
+        public double getStdDeviation();
+        
+        public double getLinearStretchMin();
+        
+        public double getLinearStretchMax();
+
+        public boolean isValid();
+    }
+    
+    public String FILE_EXTENSION = "stx";
+
+    public void addBand(int band, double minimum, double maximum, double mean, double std_deviation, double linear_stretch_min, double linear_stretch_max);
+
+    public void clear();
+
+    public List<STXBand> getBands();
+   
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/CLRFile.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/CLRFile.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/java/org/gvsig/basicformats/CLRFile.java	(revision 43876)
@@ -0,0 +1,19 @@
+/*
+ * To change this license header, choose License Headers in Project Properties.
+ * To change this template file, choose Tools | Templates
+ * and open the template in the editor.
+ */
+package org.gvsig.basicformats;
+
+import org.gvsig.raster.lib.legend.api.colortable.ColorTable;
+
+
+public interface CLRFile extends FormatFile {
+
+    public String FILE_EXTENSION = "clr";
+    
+    ColorTable getColorTable();
+
+    void setColorTable(ColorTable colorTable);
+    
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/resources/.directory
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/resources/.directory	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.basicformats/src/main/resources/.directory	(revision 43876)
@@ -0,0 +1,4 @@
+[Dolphin]
+Timestamp=2018,6,29,17,39,59
+Version=3
+ViewMode=1
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/BandDescriptor.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/BandDescriptor.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/BandDescriptor.java	(revision 43876)
@@ -0,0 +1,124 @@
+/* gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2016 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+
+package org.gvsig.fmap.dal.raster;
+
+import java.util.Iterator;
+
+import org.gvsig.raster.lib.buffer.api.BufferManager;
+import org.gvsig.raster.lib.buffer.api.NoData;
+import org.gvsig.tools.dispose.Disposable;
+import org.gvsig.tools.lang.Cloneable;
+import org.gvsig.tools.persistence.Persistent;
+
+/**
+ * This class describes the available {@link BandAttributeDescriptor} of a band.
+ *
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
+ *
+ */
+public interface BandDescriptor extends Iterable<BandAttributeDescriptor>, Persistent, Cloneable, Disposable {
+
+    /**
+     * Gets the store that the band belongs.
+     * @return
+     */
+    public RasterStore getStore();
+
+    /**
+     * Gets band of this descriptor.
+     *
+     * @return Band
+     */
+    public int getBand();
+
+    /**
+     * Gets the {@link BandAttributeDescriptor} by index.
+     *
+     * @param index
+     *            Index of {@link BandAttributeDescriptor}
+     * @return BandAttributeDescriptor The {@link BandAttributeDescriptor}
+     *         located at index. If there are not
+     *         {@link BandAttributeDescriptor} at index, null will be returned.
+     */
+    public BandAttributeDescriptor get(int index);
+
+    /**
+     * Gets the {@link BandAttributeDescriptor} by name.
+     *
+     * @param name
+     *            Name of {@link BandAttributeDescriptor}
+     * @return BandAttributeDescriptor The {@link BandAttributeDescriptor}
+     *         located at index. If there are not
+     *         {@link BandAttributeDescriptor} whit the name, null will be returned.
+     */
+    public BandAttributeDescriptor get(String name);
+
+    /**
+     * Number of {@link BandAttributeDescriptor}.
+     *
+     * @return size Number of band attribute descriptor.
+     */
+    public int size();
+
+    /**
+     * @return Returns an iterator over the elements in this list in proper
+     *         sequence.
+     */
+    public Iterator<BandAttributeDescriptor> iterator();
+
+    /**
+     * @return
+     */
+    public NoData getNoData();
+
+    /**
+     * @param noData
+     */
+    public void setNoData(NoData noData);
+
+
+    /**
+     * Gets the dataType.
+     *
+     * The possible data types are defined in {@link BufferManager}.
+     *
+     * The data type of the band can't be changed after being created.
+     *
+     * @return the data type
+     */
+    public int getDataType();
+
+    /**
+     * @return
+     */
+    public String getName();
+
+    /**
+     * @return
+     */
+    public String getDescription();
+
+
+
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterCache.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterCache.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterCache.java	(revision 43876)
@@ -0,0 +1,34 @@
+/* gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2016 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+package org.gvsig.fmap.dal.raster;
+
+import org.gvsig.fmap.dal.DataCache;
+
+
+/**
+ * @author fdiaz
+ *
+ */
+public interface RasterCache extends DataCache{
+
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterStoreNotification.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterStoreNotification.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterStoreNotification.java	(revision 43876)
@@ -0,0 +1,47 @@
+/* gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2016 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+package org.gvsig.fmap.dal.raster;
+
+import org.gvsig.fmap.dal.DataStoreNotification;
+
+/**
+ * Notificacions for RasterStore
+ * @author dmartinezizquierdo
+ *
+ */
+public interface RasterStoreNotification extends DataStoreNotification{
+
+    /** Fired before refreshing the store */
+    public static final String BEFORE_REFRESH = "before_Refresh_DataStore";
+
+    /** Fired before refreshing the store */
+    public static final String AFTER_REFRESH = "after_Refresh_DataStore";
+
+    /** Fired when dataset changed */
+    public static final String DATASET_CHANGED = "dataset_changed";
+
+    /** Fired when store provider changed */
+    public static final String STORE_PROVIDER_CHANGED = "store_provider_changed";
+
+
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterQuery.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterQuery.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterQuery.java	(revision 43876)
@@ -0,0 +1,89 @@
+/* gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2016 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+
+package org.gvsig.fmap.dal.raster;
+
+import java.util.List;
+
+import org.gvsig.fmap.dal.DataQuery;
+import org.gvsig.fmap.geom.primitive.Envelope;
+import org.gvsig.tools.lang.Cloneable;
+
+
+/**
+ * Dataquery for Rasters
+ * @author dmartinezizquierdo
+ *
+ */
+public interface RasterQuery extends DataQuery, Cloneable {
+
+    /**
+     * Get added band queries to this {@link RasterQuery}
+     *
+     * @return A unmodifiable list with added band queries.
+     */
+    public List<BandQuery> getBands();
+
+    /**
+     * Adds {@link BandQuery} to this raster query
+     *
+     * @param query
+     *            Query to be added
+     */
+    public void addBand(BandQuery query);
+
+    /**
+     * Clears all add band queries
+     */
+    public void clearBands();
+
+    /**
+     * Returns a clip from the raster
+     * @return Envelope
+     */
+    public Envelope getClip();
+
+    /**
+     * Sets the envelope to clip from the raster
+     * @param clip
+     * @return RasterQuery
+     */
+    public RasterQuery setClip(Envelope clip);
+
+    /**
+     * Returns the pixel size requested
+     * @return Envelope
+     */
+    public double getPixelSize();
+
+    /**
+     * Sets the pixelSize to be used in the raster
+     * @param pixelSize
+     * @return RasterQuery
+     */
+    public RasterQuery setPixelSize(double pixelSize);
+
+    public RasterQuery clone() throws CloneNotSupportedException;
+
+
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/BandAttributeDescriptor.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/BandAttributeDescriptor.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/BandAttributeDescriptor.java	(revision 43876)
@@ -0,0 +1,74 @@
+/* gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2016 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+
+package org.gvsig.fmap.dal.raster;
+
+import java.util.List;
+
+import org.gvsig.tools.lang.Cloneable;
+import org.gvsig.tools.persistence.Persistent;
+
+/**
+ * This class describes an attribute of band. This attribute is defined by a
+ * name, description and a list with the available values.
+ *
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
+ *
+ */
+public interface BandAttributeDescriptor extends Persistent, Cloneable {
+
+    /**
+     * Gets band of this attribute descriptor
+     *
+     * @return band Attribute descriptor band
+     */
+    public int getBand();
+
+    /**
+     * Name of attribute
+     *
+     * @return Attribute name
+     */
+    public String getName();
+
+    /**
+     * Description of attribute
+     *
+     * @return Attribute description
+     */
+    public String getDescription();
+
+    public Object getValue();
+
+    /**
+     * Available values of this attribute band
+     *
+     * @return values A list with attribute band values
+     */
+    public List<Object> getAvailableValues();
+
+    /**
+     * String units of the levels
+     */
+    public String getUnits();
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/BandQuery.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/BandQuery.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/BandQuery.java	(revision 43876)
@@ -0,0 +1,74 @@
+/* gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2016 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+
+package org.gvsig.fmap.dal.raster;
+
+import org.gvsig.tools.lang.Cloneable;
+import org.gvsig.tools.persistence.Persistent;
+
+/**
+ * Band query to filter raster band values by {@link BandAttributeDescriptor}
+ * values described by the {@link BandDescriptor}.
+ * 
+ * @author <a href="mailto:lmarques@disid.com">Lluis Marques</a>
+ *
+ */
+public interface BandQuery extends Persistent, Cloneable {
+
+    /**
+     * Band of this query band.
+     * 
+     * @return Band Band of this query band
+     */
+    public int getBand();
+
+    /**
+     * Gets {@link BandDescriptor} of this query.
+     * 
+     * @return descriptor Descriptor of this band
+     */
+    public BandDescriptor getDescriptor();
+
+    /**
+     * Sets filter raster band value. This value has to be accepted by the
+     * {@link BandAttributeDescriptor} with the name received as parameter.
+     * 
+     * @param name
+     *            Name of {@link BandAttributeDescriptor} to check if value is
+     *            accepted by it.
+     * @param value
+     *            Value to apply filter.
+     */
+    public void setValue(String name, Object value);
+
+    /**
+     * Gets the defined filter value of {@link BandAttributeDescriptor} with the
+     * name received as parameter.
+     * 
+     * @param name
+     *            Name of {@link BandAttributeDescriptor}
+     * @return value Value defined
+     */
+    public Object getValue(String name);
+
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/NewRasterStoreParameters.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/NewRasterStoreParameters.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/NewRasterStoreParameters.java	(revision 43876)
@@ -0,0 +1,23 @@
+package org.gvsig.fmap.dal.raster;
+
+import org.gvsig.fmap.dal.NewDataStoreParameters;
+import org.gvsig.raster.lib.buffer.api.Buffer;
+
+/**
+ * Interface for parameters to create a new raster store
+ *
+ */
+public interface NewRasterStoreParameters extends NewDataStoreParameters {
+
+    /**
+     * Gets the buffer to be created
+     * @return Buffer
+     */
+    public Buffer getBuffer();
+
+    /**
+     * Sets the buffer to be created
+     * @param buffer
+     */
+    public void setBuffer(Buffer buffer);
+}
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterSet.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterSet.java	(revision 0)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/raster/RasterSet.java	(revision 43876)
@@ -0,0 +1,47 @@
+/* gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2016 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+
+package org.gvsig.fmap.dal.raster;
+
+import org.gvsig.fmap.dal.DataSet;
+import org.gvsig.raster.lib.buffer.api.Buffer;
+import org.gvsig.tools.exception.BaseException;
+import org.gvsig.tools.visitor.Visitor;
+
+/**
+ * Access to raster data
+ * @author dmartinezizquierdo
+ *
+ */
+public interface RasterSet extends Buffer, DataSet {
+
+    /**
+     * Visits raster kernels from a raster
+     * @param visitor
+     * @param firstValueIndex
+     * @throws BaseException
+     */
+    void accept(Visitor visitor, long firstValueIndex) throws BaseException;
+
+    boolean isEmpty();
+}
